lists

# Class: lamListOption

Source Location: /lib/lists.inc

### Class Overview

Represents a list configuration option.

#### Author(s):

- Roland Gruber

### Methods

- __construct
- fillFromPostData
- getID
- getMetaHTML
- getValue
- setValue

### Child classes:

lamBooleanListOption
  Boolean option for list configuration.

lamSelectListOption
  Boolean option for list configuration.

### Class Details

[line 1001]
Represents a list configuration option.

#### Tags:

author: | Roland Gruber
abstract: |

[ Top ]

### Class Methods

### constructor __construct [line 1013]

`lamConfigOption __construct( String $ID)`

Creates a new config option.

#### Tags:

return: | config option
access: | public

Overridden in child classes as:

lamBooleanListOption::__construct()
  Creates a new boolean option.

lamSelectListOption::__construct()
  Creates a new selection list option.

#### Parameters:

String | $ID | unique ID

[ Top ]

### method fillFromPostData [line 1031]

`array fillFromPostData( )`

Fills the config option from POST data.

#### Tags:

return: | list of StatusMessages (array(<type>, <head line>, <body>))
abstract: |
access: | public

Overridden in child classes as:

lamBooleanListOption::fillFromPostData()
  Fills the config option from POST data.

lamSelectListOption::fillFromPostData()
  Fills the config option from POST data.

[ Top ]

### method getID [line 1022]

`String getID( )`

Returns the option ID.

#### Tags:

return: | ID
access: | public

[ Top ]

### method getMetaHTML [line 1059]

`htmlTable getMetaHTML( )`

Returns the meta HTML data to display this option.

#### Tags:

return: | meta HTML
abstract: |
access: | public

Overridden in child classes as:

lamBooleanListOption::getMetaHTML()
  Returns the meta HTML data to display this option.

lamSelectListOption::getMetaHTML()
  Returns the meta HTML data to display this option.

[ Top ]

### method getValue [line 1038]

`String getValue( )`

Returns the option value. The value must not contain "=" and ";".

#### Tags:

return: | value
access: | public

[ Top ]

### method setValue [line 1047]

`void setValue( String $value)`

Sets the config option value. The value must not contain "=" and ";".

#### Tags:

access: | public

#### Parameters:

String | $value |

[ Top ]

Documentation generated on Tue, 22 Nov 2011 16:29:55 +0100 by phpDocumentor 1.4.1